itpp::Selective_Repeat_ARQ_Receiver Class Reference

`#include <itpp/protocol/selective_repeat.h>`

## Public Member Functions

| Selective_Repeat_ARQ_Receiver ()
| ADD DOCUMENTATION HERE.
| Selective_Repeat_ARQ_Receiver (const int Seq_no_size)
| ADD DOCUMENTATION HERE.
| ~Selective_Repeat_ARQ_Receiver ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Seq_no_size)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< Selective_Repeat_ARQ_Receiver, Array< Packet * > > | packet_input
| Receives incoming packets.
Signal< Array< Packet * > > | ack_output
| Delivers ack.
Signal< Packet * > | packet_output
| Delivers received packets.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 143 of file selective_repeat.h.

## Member Data Documentation

## packet_input

Slot<Selective_Repeat_ARQ_Receiver, Array<Packet*> > itpp::Selective_Repeat_ARQ_Receiver::packet_input

Receives incoming packets.

Definition at line 156 of file selective_repeat.h.

## ack_output

Signal<Array<Packet*> > itpp::Selective_Repeat_ARQ_Receiver::ack_output

Delivers ack.

Definition at line 159 of file selective_repeat.h.

## packet_output

Signal<Packet*> itpp::Selective_Repeat_ARQ_Receiver::packet_output

Delivers received packets.

Definition at line 160 of file selective_repeat.h.

The documentation for this class was generated from the following file:

- itpp/protocol/selective_repeat.h

Generated on for IT++ by Doxygen 1.15.0